<script>
    import Saos from 'saos';
    import Fa from 'svelte-fa/src/fa.svelte'
    import { faEnvelope } from '@fortawesome/free-solid-svg-icons'
    import { faFacebook, faInstagram, faTwitter } from '@fortawesome/free-brands-svg-icons'
</script>

<style>
    @keyframes -global-bottom{0%{-webkit-transform:translateY(1000px);transform:translateY(1000px);opacity:0}100%{-webkit-transform:translateY(0);transform:translateY(0);opacity:1}}@keyframes slide-in-bottom{0%{-webkit-transform:translateY(1000px);transform:translateY(1000px);opacity:0}100%{-webkit-transform:translateY(0);transform:translateY(0);opacity:1}}
</style>


<Saos animation="bottom .5s cubic-bezier(.25,.46,.45,.94) both">
<!-- horizontal center -->
    <div class="flex flex-col items-center mt-10 contact">
        <h1 class="text-4xl font-bold">CONTACT</h1>
        <div class="h-1 bg-teal-500 w-1/12 mt-4 mb-4"></div>
        <p class="text-center">Des questions sur l'événement, sur nous ou sur l'un de nos partenaires ? Contacte nous !</p>
        <!-- 4 cards -->
            <div class="flex flex-row flex-wrap justify-center gap-4 mt-4 w-full">
                <div class="card bg-base-300 shadow-md md:w-1/3 w-1/2 lg:w-1/6">
                    <div class="card-body text-center items-center">
                        <Fa icon={faEnvelope} class="text-4xl text-blue-600" />
                        <h2 class="card-title">Email</h2>
                        <div class="card-actions">
                            <a href="mailto:contact-tnevent@telecomnancy.net" class="normal-case text-blue-500 hover:text-blue-300">contact-tnevent@telecomnancy.net</a>
                        </div>
                    </div>
                </div>
                <div class="card bg-base-300 shadow-md md:w-1/3 w-1/2 lg:w-1/6">
                    <div class="card-body text-center items-center">
                        <Fa icon={faFacebook} class="text-4xl text-blue-600" />
                        <h2 class="card-title">Facebook</h2>
                        <div class="card-actions">
                            <a href="https://facebook.com/TNEvent.officiel" class="normal-case text-blue-500 hover:text-blue-300">TN'Event</a>
                        </div>
                    </div>
                </div>
                <div class="card bg-base-300 shadow-md md:w-1/3 w-1/2 lg:w-1/6">
                    <div class="card-body text-center items-center">
                        <Fa icon={faInstagram} class="text-4xl text-blue-600" />
                        <h2 class="card-title">Instagram</h2>
                        <div class="card-actions">
                            <a href="https://instagram.com/tnevent_humanitn" class="normal-case text-blue-500 hover:text-blue-300">tnevent_humanitn</a>
                        </div>
                    </div>
                </div>
                <div class="card bg-base-300 shadow-md md:w-1/3 w-1/2 lg:w-1/6">
                    <div class="card-body text-center items-center">
                        <Fa icon={faTwitter} class="text-4xl text-blue-600" />
                        <h2 class="card-title">Twitter</h2>
                        <div class="card-actions">
                            <a href="https://twitter.com/EventTn" class="normal-case text-blue-500 hover:text-blue-300">EventTn</a>
                        </div>
                    </div>
                </div>
            </div> 
    </div>
</Saos>